Class
CommandLineOption
Stores information for a specific command line option.
CommandLineOption
Include Headers
seqan/misc/misc_cmdparser.h
Remarks
A CommandLineOption object can be added to a CommandLineParser via addOption.
Member Functions

CommandLineOption | Constructor

Functions

addArgumentText | Return a CommandLineOption object extended by an argument text.
addOption | Adds a CommandLineOption object to the CommandLineParser.
argumentText | Returns the argument text of a CommandLineOption object.
helpText | Returns the help text associated with the CommandLineOption object.
isBooleanOption | Returns whether option is a switch.
isDoubleOption | Returns whether option argument can be a double.
isHiddenOption | Returns whether option is hidden on the help screen.
isIntOption | Returns whether option argument can be an integer.
isLabelOption | Returns whether an option label should be printed on the help screen.
isOptionList | Returns whether the option can be given multiple times.
isOptionMandatory | Returns whether option is mandatory.
isStringOption | Returns whether option argument can be a string.
longName | Returns the long-name of a CommandLineOption object.
setHelpText | Sets the help text associated with the CommandLineOption object.
setLongName | Sets the long-name of a CommandLineOption object.
setOptionType | Set the option type.
setShortName | Sets the short-name of a CommandLineOption object.
shortName | Returns the short-name of a CommandLineOption object.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45